Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041790
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2019-09-10 10:382019-09-24 14:56
Reportersanti_lozanoView Statuspublic 
Assigned Tomarkmm82 
PriorityhighResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision973d9d95e10b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041790: č slovenian character disappearing in Openbravo PDF Jasper Reports

DescriptionWhen printing a PDF Jasper Report from Openbravo with the č (capital letter or not) slovenian character it disappears from it. In local JasperSoft studio there’s no problem, with “view” report directly from openbravo there’s no problem, neither with Export to Excel. The other special slovenian characters work well. Example image attached to the issue.
Steps To Reproduce*go to Openbravo Livebuilds and enter to the Retail with Modules back office
*change product name “Cherry Cola” for “češnjevaŽa kola” (from window Product)
*go to window Purchase Order Report, select the following: Organization = F&B US West Coast, Business Partner = Be Soft Drinker, Inc., Currency = EUR, Starting Date = 01-09-2017, Ending Date = 10-09-2019 (the rest of fields blank). Click button “Export to PDF”, in the PDF the č doesn’t appear (image 1). You can click on button “View” and see it appearing in the report (image 2).
Note: if the product “cherry cola” (“češnjevaŽa kola”) doesn’t appear do some transactions to make it appear or change the dates of the report in order to make it appear
TagsNo tags attached.
Attached Filespng file icon 11665 - Image 1.png [^] (93,709 bytes) 2019-09-10 10:38


png file icon 11665 - Image 2.png [^] (145,167 bytes) 2019-09-10 10:39

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0020600 scheduledTriage Finance Arabic characters set are not printed on the standar reports. 

-  Notes
(0114679)
markmm82 (developer)
2019-09-20 02:26

Test Plan:
As F&B Group Admin:
  Go to Product window.
  Select product name “Cerveza Ale 0,5L” and change its name for “češnjevaŽa kola”
  Go to window Purchase Order Report and filter by:
     Organization = *,
     Business Partner = Bebidas Alegres,
     Currency = EUR,
     Starting Date = a year ago,
  Execute View.
     Notice an entry with “češnjevaŽa kola” and check all characters are well printed.
  Execute Export to PDF
     Open the PDF and notice an entry with “češnjevaŽa kola” and check all characters are well printed (included č character)
(0114735)
hgbot (developer)
2019-09-23 17:12

Repository: erp/devel/pi
Changeset: 973d9d95e10bda8d017301801c368f5e734efadf
Author: Mark Molina <mark.molina <at> doceleguas.com>
Date: Mon Sep 23 10:20:36 2019 -0300
URL: http://code.openbravo.com/erp/devel/pi/rev/973d9d95e10bda8d017301801c368f5e734efadf [^]

Fixes issue 41790: Fixed encoding in Report Purchase Order when exporting as PDF

Used DejaVu Sans as default Font Name to be able to use special characters and to
have an unique font in the entire report

---
M src/org/openbravo/erpCommon/ad_reports/ReportPurchaseOrder.jrxml
---
(0114736)
Sandrahuguet (developer)
2019-09-23 17:15

code review + testing ok
(0114759)
hudsonbot (developer)
2019-09-24 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/fab39d1f8dc5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-09-10 10:38 santi_lozano New Issue
2019-09-10 10:38 santi_lozano Assigned To => Retail
2019-09-10 10:38 santi_lozano File Added: 11665 - Image 1.png
2019-09-10 10:38 santi_lozano Triggers an Emergency Pack => No
2019-09-10 10:39 santi_lozano File Added: 11665 - Image 2.png
2019-09-19 13:55 marvintm Project Retail Modules => Openbravo ERP
2019-09-19 13:56 marvintm Modules => Core
2019-09-19 13:56 marvintm Category Web POS => 07. Sales management
2019-09-19 13:57 marvintm Assigned To Retail => Triage Finance
2019-09-19 15:01 Sandrahuguet Assigned To Triage Finance => markmm82
2019-09-19 15:37 markmm82 Status new => scheduled
2019-09-20 02:26 markmm82 Note Added: 0114679
2019-09-20 10:37 Sandrahuguet Relationship added related to 0020600
2019-09-23 17:12 hgbot Checkin
2019-09-23 17:12 hgbot Note Added: 0114735
2019-09-23 17:12 hgbot Status scheduled => resolved
2019-09-23 17:12 hgbot Resolution open => fixed
2019-09-23 17:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/973d9d95e10bda8d017301801c368f5e734efadf [^]
2019-09-23 17:15 Sandrahuguet Review Assigned To => Sandrahuguet
2019-09-23 17:15 Sandrahuguet Note Added: 0114736
2019-09-23 17:15 Sandrahuguet Status resolved => closed
2019-09-23 17:15 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-09-24 14:56 hudsonbot Checkin
2019-09-24 14:56 hudsonbot Note Added: 0114759


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker